; 

    include \masm32\include\masm32rt.inc

    include \masm32\include\dialogs.inc

    dlgproc PROTO :DWORD,:DWORD,:DWORD,:DWORD
    CreateBmpFromMem PROTO :DWORD,:DWORD
    bmpdata PROTO :DWORD
    GetBmpHandle PROTO :DWORD,:DWORD,:DWORD,:DWORD

    .data?
        hInstance dd ?

    .code

; 

start:
    mov hInstance, FUNC(GetModuleHandle,NULL)

    call main

    invoke ExitProcess,eax

; 

main proc

    LOCAL icce:INITCOMMONCONTROLSEX

  ; --------------------------------------
  ; comment out the styles you don't need.
  ; --------------------------------------
    mov icce.dwSize, SIZEOF INITCOMMONCONTROLSEX            ; set the structure size
    xor eax, eax                                            ; set EAX to zero
    or eax, ICC_ANIMATE_CLASS                               ; OR as many styles as you need to it
    or eax, ICC_BAR_CLASSES                                 ; comment out the rest
    or eax, ICC_COOL_CLASSES
    or eax, ICC_DATE_CLASSES
    or eax, ICC_HOTKEY_CLASS
    or eax, ICC_INTERNET_CLASSES
    or eax, ICC_LISTVIEW_CLASSES
    or eax, ICC_PAGESCROLLER_CLASS
    or eax, ICC_PROGRESS_CLASS
    or eax, ICC_TAB_CLASSES
    or eax, ICC_TREEVIEW_CLASSES
    or eax, ICC_UPDOWN_CLASS
    or eax, ICC_USEREX_CLASSES
    or eax, ICC_WIN95_CLASSES
    mov icce.dwICC, eax
    invoke InitCommonControlsEx,ADDR icce                   ; initialise the common control library
  ; --------------------------------------

    Dialog "Bitmaps stored as DB data", \   ; caption
           "MS Sans Serif",8, \             ; font,pointsize
            WS_OVERLAPPED or \              ; styles for
            WS_SYSMENU or DS_CENTER, \      ; dialog window
            3, \                            ; number of controls
            50,50,250,150, \                ; x y co-ordinates
            1024                            ; memory buffer size

    DlgBitmap 0,10,10,999
    DlgBitmap 0,55,10,998
    DlgButton "Cancel",WS_TABSTOP,180,112,50,12,IDCANCEL

    CallModalDialog hInstance,0,dlgproc,NULL

    ret

main endp

; 

dlgproc proc hWin:DWORD,uMsg:DWORD,wParam:DWORD,lParam:DWORD

    LOCAL hBmp  :DWORD
    LOCAL pdat  :DWORD
    LOCAL ldat  :DWORD

    switch uMsg

      case WM_INITDIALOG
        invoke SendMessage,hWin,WM_SETICON,1,rv(LoadIcon,NULL,IDI_ASTERISK)

      ; ------------------
      ; LoadImage() method
      ; ------------------
        mov pdat, rv(bmpdata,0)
        mov ldat, rv(bmpdata,1)
        mov hBmp, rv(GetBmpHandle,pdat,ldat,0,0)
        fn SendMessage,rv(GetDlgItem,hWin,999),STM_SETIMAGE,IMAGE_BITMAP,hBmp

      ; -------------------------
      ; direct load bitmap method
      ; -------------------------
        mov hBmp, rv(CreateBmpFromMem,hWin,rv(bmpdata,0))
        fn SendMessage,rv(GetDlgItem,hWin,998),STM_SETIMAGE,IMAGE_BITMAP,hBmp

      case WM_COMMAND
        .if wParam == IDCANCEL
          jmp quit_dialog
        .endif

      case WM_CLOSE
        quit_dialog:
        invoke EndDialog,hWin,0

    endsw

    xor eax, eax
    ret

dlgproc endp

; 

GetBmpHandle proc pdat:DWORD,ldat:DWORD,iWid:DWORD,iHgt:DWORD

    LOCAL hFile :DWORD
    LOCAL bwrt  :DWORD
    LOCAL hBmp  :DWORD

    fn CreateFile,"t_m_p.bmp",GENERIC_WRITE,NULL,NULL, \
                   CREATE_ALWAYS,FILE_ATTRIBUTE_TEMPORARY,NULL
    mov hFile, eax
    fn WriteFile,hFile,pdat,ldat,ADDR bwrt,NULL
    invoke CloseHandle,hFile
    fn LoadImage,hInstance,"t_m_p.bmp",IMAGE_BITMAP,iWid,iHgt, \
                 LR_LOADFROMFILE or LR_LOADMAP3DCOLORS or LR_LOADTRANSPARENT
    mov hBmp, eax
    fn DeleteFile,"t_m_p.bmp"
    mov eax, hBmp

    ret

GetBmpHandle endp

; 

CreateBmpFromMem PROC hWnd:DWORD,pBmp:DWORD

    LOCAL hDC:DWORD
    LOCAL hBmp:DWORD

    mov hDC, rv(GetDC,hWnd)
    test eax, eax
    jz @F

    mov edx, pBmp
    lea ecx, [edx + SIZEOF BITMAPFILEHEADER]  ; start of the BITMAPINFOHEADER header
    mov eax, BITMAPFILEHEADER.bfOffBits[edx]
    add edx, eax
    mov hBmp, rv(CreateDIBitmap,hDC,ecx,CBM_INIT,edx,ecx,DIB_RGB_COLORS)
    invoke ReleaseDC,hWnd,hDC
    mov eax, hBmp

  @@: 
    ret

CreateBmpFromMem ENDP

; 

bmpdata proc arg:DWORD

  ; File master.bmp opened at 16438 bytes

    .if arg == 0
      mov eax, OFFSET lbl0
      ret
    .else
      mov eax, 16438
      ret
    .endif

  lbl0:
    db 66,77,54,64,0,0,0,0,0,0,54,0,0,0,40,0
    db 0,0,64,0,0,0,64,0,0,0,1,0,32,0,0,0
    db 0,0,0,64,0,0,195,14,0,0,195,14,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,63,92,138,48,58,90,136,255,60,93,139,255,67,94
    db 141,255,64,94,135,255,64,93,135,255,66,94,135,255,64,94
    db 135,255,61,86,127,255,62,86,129,255,57,81,125,255,59,81
    db 126,255,61,86,127,255,64,89,127,255,55,78,120,255,56,79
    db 123,255,58,81,124,255,53,77,116,255,54,73,110,255,56,73
    db 109,255,47,63,96,255,44,60,100,255,47,66,110,255,54,75
    db 113,255,57,77,116,255,58,79,118,255,54,70,106,255,44,59
    db 87,255,41,56,80,255,39,46,68,255,31,33,51,255,34,40
    db 63,255,40,49,84,255,48,64,101,255,44,54,83,255,48,57
    db 87,255,26,32,47,255,14,12,17,255,13,18,17,255,32,35
    db 55,255,36,46,68,255,32,36,51,255,19,19,18,255,20,20
    db 24,255,20,20,24,255,23,23,28,255,16,15,17,255,23,22
    db 27,255,24,23,29,255,25,25,30,255,18,18,26,255,25,22
    db 34,255,39,44,63,255,24,28,41,255,27,24,31,255,32,34
    db 52,255,23,24,34,255,40,45,58,255,52,59,72,40,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,66,93,136,255,61,93,134,255,64,95
    db 139,255,56,88,135,255,57,90,139,255,66,95,141,255,56,90
    db 135,255,62,93,139,255,65,92,137,255,64,87,132,255,61,85
    db 133,255,67,93,134,255,64,90,130,255,52,80,126,255,51,75
    db 119,255,52,74,122,255,56,77,116,255,48,65,104,255,39,54
    db 91,255,45,59,96,255,50,71,114,255,56,78,122,255,55,75
    db 117,255,60,80,120,255,54,66,102,255,41,54,77,255,32,41
    db 63,255,37,42,64,255,28,34,49,255,34,42,67,255,34,50
    db 82,255,38,55,94,255,41,54,81,255,38,46,63,255,11,12
    db 15,255,14,15,14,255,18,21,25,255,30,37,57,255,39,50
    db 77,255,47,52,71,255,25,24,33,255,31,29,33,255,22,23
    db 27,255,22,23,28,255,16,16,19,255,20,19,23,255,24,23
    db 28,255,18,18,25,255,21,22,27,255,20,18,29,255,25,28
    db 33,255,40,42,60,255,18,20,27,255,26,30,41,255,36,44
    db 59,255,45,58,71,174,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,61,91,138,255,56,92,140,255,65,93
    db 139,255,63,89,133,255,66,92,143,255,68,96,142,255,60,90
    db 136,255,58,90,139,255,60,91,137,255,57,83,129,255,61,83
    db 126,255,60,85,135,255,61,87,128,255,54,82,129,255,58,74
    db 116,255,51,70,107,255,43,59,96,255,49,67,103,255,55,72
    db 108,255,56,81,120,255,53,75,119,255,44,64,104,255,57,73
    db 119,255,47,65,97,255,33,40,59,255,29,35,55,255,32,38
    db 57,255,22,32,54,255,39,45,73,255,43,53,80,255,47,56
    db 93,255,36,48,75,255,38,41,62,255,10,9,13,255,16,14
    db 13,255,17,17,26,255,40,44,65,255,41,46,76,255,35,41
    db 63,255,29,26,34,255,25,22,25,255,17,16,19,255,16,17
    db 21,255,14,14,16,255,17,16,20,255,20,19,21,255,16,15
    db 19,255,22,20,25,255,25,25,31,255,16,17,21,255,26,26
    db 32,255,17,14,25,255,26,24,35,255,40,46,58,202,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,68,95,140,255,63,89,136,255,63,95
    db 140,255,60,86,131,255,61,89,135,255,57,83,125,255,63,90
    db 134,255,67,93,143,255,67,99,145,255,64,90,135,255,55,76
    db 120,255,59,87,130,255,63,93,131,255,54,80,123,255,50,68
    db 111,255,57,78,123,255,53,72,113,255,57,76,119,255,49,71
    db 110,255,54,75,120,255,50,65,101,255,45,57,88,255,32,42
    db 70,255,25,31,49,255,29,39,61,255,34,39,65,255,27,34
    db 54,255,44,48,77,255,44,54,87,255,47,58,93,255,31,38
    db 59,255,23,24,32,255,14,12,11,255,20,17,16,255,18,22
    db 35,255,42,46,70,255,38,42,70,255,29,39,49,255,54,57
    db 61,255,24,22,23,255,29,28,32,255,22,21,24,255,21,20
    db 24,255,17,16,20,255,22,21,25,255,21,20,24,255,25,24
    db 27,255,22,22,27,255,25,26,31,255,20,19,25,255,38,46
    db 59,255,36,45,56,214,44,53,64,53,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,63,86,128,164,63,88,137,255,60,87
    db 131,255,58,82,126,255,54,80,125,255,53,78,115,255,57,82
    db 127,255,60,85,132,255,68,95,138,255,58,86,129,255,52,76
    db 123,255,64,91,135,255,62,85,132,255,56,81,128,255,51,75
    db 119,255,49,70,112,255,54,74,117,255,51,69,107,255,46,64
    db 99,255,42,53,91,255,34,42,72,255,33,37,64,255,38,42
    db 66,255,38,42,69,255,29,40,70,255,37,44,74,255,40,49
    db 78,255,46,54,88,255,47,53,86,255,24,28,44,255,14,15
    db 18,255,24,22,24,255,22,19,21,255,23,22,35,255,48,55
    db 88,255,31,40,63,255,38,36,56,255,54,56,67,255,71,71
    db 81,255,19,20,26,255,30,29,33,255,25,24,29,255,21,20
    db 23,255,14,15,17,255,26,25,29,255,26,24,31,255,26,23
    db 28,255,25,24,32,255,29,22,35,255,25,30,40,255,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,59,82,123,70,54,83,128,255,53,80
    db 116,255,52,79,123,255,52,79,120,255,47,65,104,255,49,71
    db 113,255,53,80,126,255,50,75,123,255,59,83,128,255,60,91
    db 138,255,59,87,131,255,53,87,128,255,54,81,125,255,50,74
    db 116,255,53,74,117,255,46,62,104,255,36,50,86,255,39,48
    db 83,255,40,50,79,255,35,46,74,255,33,39,65,255,34,43
    db 70,255,29,39,70,255,41,54,85,255,44,56,87,255,40,51
    db 82,255,32,42,65,255,17,18,24,255,15,15,13,255,19,19
    db 20,255,19,15,15,255,14,13,17,255,38,44,64,255,35,45
    db 72,255,36,38,54,255,22,21,25,255,110,127,140,255,53,53
    db 62,255,17,15,20,255,28,24,27,255,24,20,22,255,15,15
    db 15,255,17,16,21,255,27,28,29,255,25,24,31,255,27,27
    db 28,255,33,32,38,255,19,25,32,255,34,32,45,255,49,59
    db 72,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,49,76,118,255,49,68
    db 108,255,51,71,114,255,52,80,125,255,46,66,101,255,44,61
    db 99,255,44,68,104,255,52,75,120,255,53,77,124,255,58,85
    db 126,255,57,84,125,255,55,81,128,255,54,79,126,255,48,76
    db 115,255,52,75,111,255,44,57,97,255,45,59,87,255,42,52
    db 84,255,36,45,76,255,38,46,67,255,35,45,72,255,41,52
    db 83,255,45,55,90,255,48,60,99,255,41,48,83,255,21,27
    db 38,255,10,10,18,255,16,16,15,255,18,15,20,255,15,14
    db 19,255,10,13,19,255,28,30,45,255,41,47,68,255,39,42
    db 64,255,26,27,36,255,22,21,31,255,50,61,67,255,23,19
    db 30,255,29,29,36,255,17,16,20,255,19,18,21,255,21,20
    db 20,255,21,20,22,255,26,25,32,255,24,23,29,255,31,30
    db 32,255,33,28,34,255,26,28,35,255,39,49,62,250,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,58,80,119,64,47,73
    db 109,255,45,59,98,255,46,73,114,255,52,64,95,255,38,60
    db 86,255,60,77,119,255,52,77,117,255,51,74,116,255,56,84
    db 117,255,50,75,111,255,44,67,110,255,52,72,116,255,44,62
    db 105,255,39,57,91,255,35,45,81,255,34,44,72,255,24,33
    db 57,255,24,33,52,255,36,39,68,255,35,43,70,255,38,46
    db 76,255,43,53,86,255,29,35,58,255,18,20,24,255,17,12
    db 17,255,12,12,14,255,13,17,22,255,20,16,26,255,16,18
    db 26,255,20,26,35,255,35,41,58,255,45,48,63,255,41,39
    db 48,255,46,40,48,255,15,21,32,255,2,0,6,255,21,16
    db 22,255,29,28,35,255,31,31,38,255,26,27,32,255,18,17
    db 20,255,28,27,32,255,27,26,31,255,21,22,25,255,25,24
    db 28,255,34,30,36,255,21,21,30,255,53,62,72,164,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,72
    db 103,215,37,53,79,255,47,61,92,255,40,42,58,255,30,36
    db 51,255,24,21,32,255,27,34,52,255,37,45,62,255,35,43
    db 59,255,20,25,44,255,24,23,39,255,26,32,49,255,27,27
    db 46,255,19,19,29,255,23,29,37,255,16,19,25,255,23,22
    db 24,255,24,22,29,255,22,22,30,255,16,18,23,255,15,17
    db 22,255,13,10,16,255,21,19,27,255,22,20,26,255,15,16
    db 17,255,18,18,21,255,16,17,19,255,14,13,14,255,26,28
    db 35,255,31,37,51,255,33,43,61,255,16,20,31,255,20,18
    db 23,255,35,38,55,255,121,129,149,255,153,158,181,255,19,17
    db 22,255,11,11,14,255,29,26,33,255,29,28,38,255,25,25
    db 35,255,29,28,35,255,31,27,33,255,18,18,20,255,31,29
    db 34,255,38,35,43,255,27,31,42,255,58,65,78,152,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,58,71,96,60,40,44,56,255,36,37,55,255,32,50
    db 70,255,46,51,72,255,35,55,76,255,23,24,36,255,15,20
    db 26,255,15,18,22,255,9,16,13,255,13,16,19,255,15,23
    db 27,255,22,26,36,255,23,30,39,255,24,28,36,255,20,21
    db 28,255,20,22,26,255,18,18,20,255,24,27,33,255,21,24
    db 32,255,20,19,28,255,7,9,12,255,13,14,14,255,18,19
    db 24,255,16,16,22,255,20,20,33,255,28,32,45,255,36,40
    db 52,255,36,40,61,255,43,48,68,255,51,51,68,255,87,99
    db 118,255,42,45,60,255,112,122,137,255,165,184,206,255,175,188
    db 205,255,37,33,42,255,16,13,18,255,26,25,35,255,22,24
    db 33,255,22,21,28,255,23,22,26,255,22,22,29,255,37,36
    db 47,255,27,30,37,255,52,54,67,255,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,55,68,87,79,52,59,73,247,39,45,65,255,57,75
    db 100,255,53,64,95,255,34,41,68,255,24,25,37,255,33,32
    db 46,255,27,34,47,255,26,32,49,255,28,33,49,255,29,35
    db 45,255,30,33,43,255,21,23,32,255,22,26,31,255,18,20
    db 25,255,19,19,26,255,21,21,24,255,22,20,25,255,21,18
    db 30,255,17,17,27,255,19,17,21,255,16,18,16,255,21,25
    db 41,255,46,50,78,255,38,48,77,255,43,51,85,255,42,57
    db 83,255,78,96,124,255,91,108,136,255,96,119,143,255,115,137
    db 154,255,30,40,60,255,50,51,64,255,105,118,138,255,143,152
    db 172,255,165,173,191,255,42,43,55,255,18,18,25,255,17,17
    db 21,255,18,19,23,255,28,26,31,255,21,25,30,255,39,36
    db 48,255,30,35,53,255,60,64,81,196,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,50,61,74,68,29,29,44,255,35,47
    db 69,255,48,65,91,255,41,53,79,255,31,38,68,255,43,56
    db 87,255,32,43,72,255,22,29,49,255,21,20,34,255,22,21
    db 28,255,25,23,28,255,18,21,25,255,21,20,25,255,13,18
    db 21,255,20,19,26,255,19,19,27,255,21,21,23,255,16,18
    db 23,255,13,16,22,255,16,19,22,255,41,48,70,255,46,58
    db 94,255,34,46,81,255,80,93,123,255,120,147,171,255,153,180
    db 200,255,131,153,170,255,114,140,158,255,124,140,155,255,46,56
    db 73,255,47,60,88,255,49,58,75,255,69,70,77,255,92,107
    db 123,255,117,131,153,255,103,112,131,255,15,14,22,255,15,17
    db 20,255,17,17,23,255,16,16,26,255,32,31,45,255,35,44
    db 58,239,46,51,68,47,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,56,63,79,44,45,49
    db 70,255,52,61,89,255,37,47,76,255,27,41,69,255,22,26
    db 44,255,17,18,29,255,16,18,21,255,21,22,30,255,25,25
    db 32,255,24,22,32,255,25,25,30,255,22,20,26,255,18,19
    db 21,255,19,22,23,255,23,22,29,255,20,20,29,255,17,16
    db 22,255,27,26,36,255,44,52,85,255,25,42,84,255,84,100
    db 129,255,157,174,191,255,181,195,207,255,136,156,170,255,103,115
    db 141,255,37,48,73,255,26,29,48,255,18,23,41,255,32,33
    db 53,255,32,43,67,255,40,46,61,255,60,63,78,255,82,93
    db 117,255,72,72,84,255,41,41,56,255,12,13,22,255,23,18
    db 21,255,23,22,33,255,56,58,73,238,41,45,56,35,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,65
    db 81,102,34,39,61,255,27,36,48,255,21,22,32,255,17,19
    db 23,255,24,21,30,255,17,19,22,255,19,17,21,255,18,18
    db 22,255,24,24,28,255,18,18,19,255,20,19,20,255,24,19
    db 30,255,22,20,28,255,20,25,30,255,20,20,32,255,21,26
    db 27,255,35,41,72,255,56,72,102,255,194,200,209,255,209,224
    db 225,255,150,168,183,255,76,108,145,255,54,76,113,255,25,39
    db 63,255,22,26,43,255,22,25,39,255,24,25,40,255,22,29
    db 47,255,33,40,61,255,44,54,73,255,40,39,52,255,52,56
    db 76,255,40,38,45,255,16,17,25,255,38,36,49,255,38,44
    db 53,162,49,54,62,30,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,36,39,49,126,37,32,34,255,28,25,31,255,18,19
    db 26,255,17,15,17,255,12,15,17,255,17,15,17,255,11,14
    db 14,255,18,17,19,255,24,24,25,255,26,24,29,255,23,23
    db 36,255,22,21,31,255,21,19,33,255,27,31,37,255,18,28
    db 67,255,93,109,130,255,207,214,215,255,153,180,191,255,100,131
    db 165,255,62,87,132,255,32,38,73,255,37,47,67,255,33,36
    db 58,255,34,37,55,255,35,42,66,255,33,37,59,255,28,30
    db 46,255,33,36,55,255,32,36,55,255,31,39,57,255,39,42
    db 60,255,48,55,68,195,50,57,71,25,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,46,50,58,186,20,24,29,255,14,14
    db 18,255,19,19,21,255,8,11,14,255,17,17,18,255,20,21
    db 21,255,20,21,24,255,21,18,23,255,13,14,18,255,16,21
    db 27,255,23,25,41,255,28,33,58,255,66,70,108,255,127,144
    db 173,255,108,134,175,255,59,92,131,255,56,80,138,255,62,83
    db 125,255,33,43,71,255,36,44,66,255,31,39,63,255,36,42
    db 65,255,38,44,64,255,33,38,61,255,19,22,47,255,35,39
    db 57,255,38,42,65,255,41,49,73,255,43,52,75,255,36,37
    db 58,255,38,43,63,255,48,58,76,14,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,22,29,39,255,11,13
    db 14,255,16,17,21,255,19,20,23,255,16,16,19,255,16,19
    db 22,255,20,22,26,255,21,24,37,255,23,26,43,255,30,37
    db 57,255,74,82,110,255,90,100,133,255,56,78,121,255,70,96
    db 146,255,48,77,125,255,80,108,157,255,61,75,115,255,31,42
    db 66,255,40,48,73,255,45,46,79,255,36,41,69,255,32,35
    db 63,255,28,30,51,255,41,44,67,255,48,60,93,255,61,82
    db 119,255,63,91,139,255,78,106,160,255,71,95,149,255,55,75
    db 120,255,47,64,98,255,44,49,71,255,63,74,101,23,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,41,43,55,177,24,25
    db 32,255,16,16,22,255,16,19,25,255,13,12,19,255,21,22
    db 35,255,28,32,47,255,25,31,48,255,40,48,71,255,61,73
    db 105,255,45,59,91,255,31,48,87,255,65,91,134,255,33,53
    db 90,255,84,100,150,255,52,67,105,255,36,43,73,255,46,56
    db 87,255,42,52,82,255,42,53,84,255,42,53,84,255,37,53
    db 76,255,47,58,91,255,45,62,95,255,63,83,126,255,84,109
    db 156,255,90,119,174,255,85,120,172,255,93,123,171,255,83,111
    db 167,255,66,92,139,255,46,59,103,255,55,69,92,255,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,43,49,62,56,22,26
    db 33,255,14,19,26,255,42,43,60,255,42,45,62,255,45,50
    db 71,255,25,32,46,255,26,25,45,255,48,52,78,255,30,38
    db 67,255,25,33,61,255,44,56,89,255,29,40,67,255,68,84
    db 121,255,51,69,108,255,43,56,85,255,49,64,98,255,52,67
    db 106,255,54,75,111,255,55,72,108,255,58,77,118,255,55,76
    db 120,255,52,68,111,255,68,93,134,255,76,99,139,255,84,109
    db 156,255,93,131,175,255,97,131,193,255,91,130,191,255,70,102
    db 164,255,50,75,130,255,65,81,134,255,37,46,73,255,64,72
    db 92,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,56,65,79,140,17,19
    db 33,255,27,29,39,255,42,48,65,255,26,36,50,255,24,29
    db 39,255,52,55,74,255,48,59,71,255,33,43,66,255,26,32
    db 54,255,32,41,63,255,28,37,64,255,44,57,87,255,49,67
    db 105,255,52,61,102,255,45,64,102,255,58,78,122,255,64,87
    db 133,255,73,103,151,255,71,101,149,255,69,94,141,255,68,95
    db 138,255,57,79,120,255,64,88,130,255,75,102,141,255,67,100
    db 149,255,78,113,162,255,67,89,143,255,71,92,148,255,56,77
    db 121,255,56,73,116,255,49,60,105,255,40,45,64,255,47,59
    db 80,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,104
    db 120,235,63,70,90,255,36,37,55,255,34,40,55,255,30,29
    db 38,255,11,16,22,255,29,32,50,255,37,53,83,255,59,71
    db 91,255,67,76,95,255,56,63,85,255,41,51,79,255,46,56
    db 94,255,51,65,105,255,61,85,130,255,67,95,141,255,73,104
    db 147,255,74,104,154,255,67,100,148,255,64,91,139,255,56,84
    db 131,255,60,80,127,255,48,70,113,255,80,115,167,255,87,124
    db 179,255,75,107,160,255,60,81,135,255,44,55,88,255,56,71
    db 108,255,48,68,101,255,46,55,89,255,43,53,83,255,36,46
    db 77,255,53,65,87,161,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,47
    db 59,255,30,28,39,255,41,42,55,255,45,42,56,255,45,53
    db 68,255,58,71,87,255,32,47,67,255,39,51,81,255,58,69
    db 88,255,39,46,67,255,46,55,73,255,49,56,85,255,59,75
    db 112,255,63,84,123,255,63,90,136,255,69,95,146,255,67,102
    db 152,255,72,104,156,255,70,105,153,255,65,91,140,255,69,99
    db 147,255,74,106,157,255,58,88,135,255,59,83,132,255,87,122
    db 180,255,94,136,205,255,90,128,197,255,65,87,144,255,50,66
    db 107,255,37,48,92,255,50,71,104,255,54,62,109,255,45,56
    db 84,255,55,62,84,255,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,57,71,89,125,47,53
    db 66,255,33,41,51,255,42,44,55,255,41,41,50,255,21,27
    db 37,255,80,109,130,255,65,83,109,255,56,71,90,255,37,40
    db 56,255,24,28,47,255,28,35,58,255,40,49,80,255,46,58
    db 96,255,54,73,116,255,63,91,140,255,60,92,140,255,75,110
    db 160,255,72,104,159,255,69,102,154,255,64,93,147,255,67,97
    db 153,255,79,115,172,255,75,113,168,255,57,81,125,255,30,49
    db 91,255,37,54,97,255,46,67,127,255,50,80,143,255,60,90
    db 154,255,57,81,154,255,48,60,96,255,24,31,59,255,46,53
    db 77,255,46,56,87,255,48,57,85,57,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,56,69,87,134,50,57
    db 73,255,32,35,47,255,37,41,50,255,37,37,48,255,36,41
    db 50,255,53,61,80,255,48,60,78,255,55,64,81,255,28,30
    db 45,255,34,35,50,255,30,34,58,255,41,52,81,255,48,68
    db 102,255,62,89,127,255,69,93,141,255,66,93,148,255,64,99
    db 151,255,71,101,154,255,65,100,154,255,69,103,160,255,76,109
    db 168,255,70,105,166,255,68,99,149,255,65,95,142,255,73,105
    db 147,255,64,82,125,255,64,90,145,255,79,105,167,255,62,73
    db 135,255,56,70,111,255,34,47,73,255,57,66,101,255,37,46
    db 71,255,59,62,97,255,47,59,86,117,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,65,77,90,83,46,52
    db 66,255,30,35,48,255,28,29,40,255,39,44,53,255,46,48
    db 64,255,31,38,51,255,40,42,56,255,39,42,53,255,39,39
    db 50,255,27,25,37,255,31,34,54,255,46,56,85,255,65,82
    db 119,255,66,87,133,255,66,93,142,255,65,95,148,255,64,93
    db 148,255,61,92,152,255,73,103,163,255,67,106,172,255,71,109
    db 176,255,83,119,188,255,61,93,156,255,87,119,175,255,80,120
    db 168,255,94,133,178,255,78,110,156,255,87,117,164,255,67,92
    db 147,255,81,100,154,255,49,56,102,255,48,62,101,255,51,70
    db 117,255,57,65,109,255,56,66,86,189,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,46,56,75,19,52,60
    db 78,255,53,59,74,255,27,32,42,255,33,34,45,255,27,29
    db 39,255,27,27,37,255,22,25,32,255,37,37,49,255,34,37
    db 51,255,23,25,35,255,21,28,37,255,43,53,84,255,60,83
    db 122,255,67,93,138,255,48,80,131,255,50,83,138,255,56,89
    db 153,255,65,105,171,255,71,117,180,255,73,117,187,255,79,124
    db 193,255,81,127,196,255,75,117,176,255,63,100,163,255,93,132
    db 189,255,100,150,210,255,89,126,179,255,85,113,164,255,48,68
    db 107,255,27,32,57,255,40,50,68,255,59,78,114,255,62,89
    db 139,255,51,70,117,255,43,52,79,206,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,46
    db 66,255,35,38,49,255,19,17,28,255,22,22,32,255,20,22
    db 29,255,24,26,33,255,23,26,34,255,35,38,46,255,34,34
    db 46,255,25,29,38,255,24,26,39,255,53,66,94,255,61,88
    db 131,255,61,89,142,255,55,87,141,255,58,85,141,255,68,96
    db 161,255,64,108,171,255,70,108,177,255,72,112,184,255,80,122
    db 199,255,75,120,185,255,79,124,191,255,72,116,192,255,67,108
    db 171,255,105,152,202,255,50,66,119,255,21,33,72,255,37,43
    db 78,255,62,72,119,255,38,48,88,255,48,61,98,255,69,94
    db 156,255,61,85,130,255,48,53,70,255,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,56
    db 69,239,48,49,60,255,19,22,26,255,20,22,29,255,23,25
    db 29,255,16,20,22,255,22,20,27,255,33,31,42,255,39,39
    db 48,255,38,40,51,255,22,27,38,255,47,57,84,255,62,90
    db 134,255,58,87,140,255,61,94,148,255,63,94,153,255,67,105
    db 173,255,72,111,183,255,68,105,182,255,64,105,182,255,71,117
    db 185,255,83,131,189,255,77,130,200,255,75,125,201,255,71,116
    db 187,255,58,94,160,255,89,129,193,255,77,112,182,255,91,136
    db 199,255,90,136,207,255,63,98,174,255,51,63,106,255,65,90
    db 138,255,50,69,109,255,42,50,69,255,48,54,77,14,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,60
    db 78,166,52,57,66,255,32,34,42,255,14,16,26,255,19,20
    db 28,255,24,24,32,255,26,25,30,255,37,34,45,255,41,40
    db 50,255,52,51,64,255,29,28,39,255,48,62,87,255,57,82
    db 130,255,71,99,154,255,69,103,159,255,74,107,172,255,74,114
    db 184,255,76,114,186,255,66,104,180,255,66,107,182,255,72,113
    db 189,255,85,131,202,255,88,140,210,255,94,144,205,255,100,154
    db 219,255,84,121,188,255,56,94,167,255,91,143,198,255,106,171
    db 225,255,138,197,240,255,76,116,181,255,47,66,113,255,56,79
    db 137,255,53,65,115,255,42,45,81,255,21,23,36,242,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,67
    db 81,113,50,52,64,255,41,40,52,255,32,32,42,255,16,16
    db 22,255,25,25,31,255,25,24,28,255,34,33,43,255,37,37
    db 48,255,48,49,58,255,27,31,43,255,50,58,80,255,61,82
    db 133,255,74,106,162,255,67,103,162,255,78,112,177,255,79,119
    db 187,255,80,120,189,255,80,122,184,255,84,126,191,255,80,124
    db 185,255,72,115,180,255,87,132,191,255,100,143,202,255,87,132
    db 195,255,97,140,201,255,75,114,179,255,69,116,187,255,82,132
    db 202,255,110,162,223,255,60,94,152,255,44,58,104,255,59,97
    db 145,255,50,70,132,255,39,48,84,255,16,16,22,255,31,37
    db 47,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,71
    db 82,185,52,49,62,255,40,39,48,255,37,36,44,255,37,35
    db 45,255,19,21,30,255,32,28,37,255,31,28,37,255,32,34
    db 43,255,46,47,56,255,34,38,52,255,45,47,65,255,53,71
    db 111,255,78,108,162,255,74,103,164,255,76,112,174,255,87,129
    db 193,255,83,127,190,255,90,126,183,255,88,132,187,255,90,130
    db 178,255,89,120,171,255,83,114,162,255,66,102,151,255,88,125
    db 182,255,85,122,183,255,94,133,193,255,91,134,205,255,84,127
    db 193,255,87,133,201,255,53,70,119,255,57,76,131,255,69,96
    db 134,255,63,81,139,255,50,60,94,255,21,21,30,255,29,36
    db 42,255,41,47,60,43,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,59
    db 70,55,50,59,70,139,39,49,62,215,69,74,88,255,45,45
    db 58,255,33,35,44,255,30,30,39,255,31,30,41,255,35,35
    db 45,255,35,36,48,255,28,25,37,255,34,33,45,255,27,26
    db 34,255,38,36,49,255,34,38,50,255,37,41,56,255,45,58
    db 87,255,70,95,144,255,81,113,172,255,83,121,186,255,82,126
    db 190,255,86,125,186,255,86,125,184,255,86,127,181,255,67,100
    db 150,255,59,82,132,255,38,56,98,255,43,62,105,255,70,100
    db 147,255,95,137,191,255,100,142,199,255,104,148,212,255,109,156
    db 211,255,99,143,213,255,56,73,122,255,65,90,135,255,56,69
    db 107,255,40,50,78,255,45,58,92,255,27,25,38,255,40,42
    db 49,255,43,49,61,47,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,63,69,78,147,49,52,60,255,42,42
    db 54,255,39,39,48,255,36,36,43,255,28,27,38,255,35,31
    db 35,255,26,28,30,255,32,32,36,255,27,28,31,255,29,26
    db 37,255,32,34,44,255,33,31,42,255,35,34,43,255,31,28
    db 38,255,30,29,38,255,30,30,42,255,40,43,57,255,40,46
    db 69,255,68,86,123,255,80,117,162,255,80,125,173,255,87,132
    db 184,255,85,129,180,255,74,102,151,255,72,95,139,255,56,76
    db 117,255,52,69,107,255,80,102,140,255,56,76,117,255,64,80
    db 125,255,62,95,145,255,95,139,191,255,104,156,210,255,140,186
    db 234,255,107,152,214,255,49,71,119,255,37,55,95,255,50,57
    db 90,255,38,41,64,255,49,52,80,255,31,29,36,255,44,52
    db 69,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,63,69,79,255,48,48,58,255,31,34
    db 42,255,32,31,40,255,32,33,40,255,28,26,39,255,30,34
    db 40,255,32,30,35,255,27,25,31,255,31,30,35,255,27,26
    db 33,255,36,35,45,255,22,23,26,255,31,29,38,255,29,31
    db 40,255,26,25,35,255,31,28,39,255,32,33,48,255,29,33
    db 48,255,45,53,81,255,73,101,139,255,86,123,167,255,84,117
    db 162,255,58,82,127,255,50,70,104,255,56,68,104,255,15,20
    db 35,255,19,14,15,255,64,83,101,255,60,78,102,255,38,45
    db 86,255,86,112,162,255,77,110,160,255,112,166,216,255,133,183
    db 225,255,90,119,183,255,42,46,79,255,41,49,71,255,52,66
    db 92,255,44,51,76,255,34,43,67,255,21,26,38,255,59,66
    db 78,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,77,78,89,255,39,38,51,255,33,36
    db 45,255,33,34,46,255,50,50,60,255,40,39,47,255,33,32
    db 39,255,24,25,28,255,21,24,27,255,23,25,27,255,17,17
    db 21,255,21,20,24,255,31,28,34,255,19,21,26,255,23,25
    db 35,255,29,30,39,255,23,22,30,255,31,29,37,255,25,25
    db 40,255,36,41,61,255,53,72,102,255,75,103,137,255,67,89
    db 135,255,44,62,98,255,57,74,114,255,43,65,105,255,72,97
    db 153,255,39,63,105,255,44,56,92,255,37,52,88,255,43,58
    db 96,255,49,62,89,255,65,90,137,255,99,142,192,255,102,154
    db 209,255,53,70,118,255,28,31,49,255,15,14,27,255,48,64
    db 80,255,32,41,54,255,33,31,43,255,41,47,61,255,45,51
    db 66,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,73,78,88,197,49,50,60,255,29,32
    db 43,255,31,34,46,255,40,42,49,255,36,35,47,255,35,37
    db 49,255,25,23,33,255,23,25,31,255,25,25,31,255,19,18
    db 21,255,18,18,23,255,16,18,21,255,24,23,30,255,21,26
    db 30,255,21,19,27,255,31,30,42,255,25,26,37,255,27,29
    db 40,255,32,33,48,255,37,45,69,255,55,72,99,255,67,94
    db 131,255,70,94,140,255,61,84,127,255,61,84,126,255,28,41
    db 71,255,39,59,106,255,42,60,102,255,33,40,72,255,48,59
    db 92,255,42,47,71,255,42,51,86,255,75,105,148,255,87,117
    db 166,255,49,67,100,255,32,42,67,255,45,48,80,255,40,44
    db 82,255,34,34,60,255,33,38,47,255,44,55,69,81,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,61,64,75,25,57,63,72,255,46,51
    db 64,255,31,34,48,255,32,33,43,255,39,41,51,255,37,38
    db 49,255,42,44,54,255,32,32,44,255,28,30,38,255,13,9
    db 14,255,20,19,22,255,18,20,26,255,21,22,27,255,20,17
    db 22,255,24,25,32,255,24,21,30,255,30,30,39,255,24,23
    db 36,255,24,23,35,255,38,42,59,255,35,45,67,255,55,83
    db 115,255,88,130,178,255,71,107,152,255,65,89,133,255,59,83
    db 124,255,40,58,90,255,40,48,77,255,41,50,79,255,44,61
    db 96,255,48,56,84,255,48,59,93,255,59,84,124,255,75,101
    db 151,255,49,65,108,255,44,44,71,255,32,39,61,255,22,27
    db 45,255,32,41,67,255,53,56,82,255,46,54,74,35,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,66,65,79,201,43,48
    db 61,255,37,43,56,255,37,39,47,255,38,39,48,255,34,35
    db 45,255,35,36,45,255,42,45,55,255,48,49,59,255,16,19
    db 27,255,18,19,25,255,20,24,27,255,19,19,23,255,21,22
    db 27,255,25,24,31,255,17,18,24,255,23,24,35,255,22,26
    db 35,255,28,30,40,255,18,24,35,255,29,34,52,255,31,42
    db 63,255,53,77,115,255,91,132,178,255,67,102,148,255,35,60
    db 105,255,48,65,102,255,40,55,88,255,21,28,55,255,25,30
    db 49,255,33,36,57,255,43,67,104,255,73,102,148,255,71,104
    db 149,255,77,104,154,255,51,75,109,255,35,45,71,255,49,61
    db 95,255,54,69,109,255,51,62,94,255,43,53,79,35,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,45
    db 59,255,37,41,52,255,35,35,45,255,39,40,49,255,33,33
    db 43,255,31,29,38,255,37,36,44,255,40,42,53,255,34,35
    db 48,255,26,26,44,255,33,33,48,255,20,22,32,255,18,19
    db 26,255,19,19,23,255,25,22,31,255,17,17,24,255,22,23
    db 29,255,24,25,30,255,26,29,36,255,23,27,36,255,28,30
    db 45,255,33,35,55,255,32,46,74,255,77,104,145,255,92,120
    db 170,255,69,101,149,255,72,99,146,255,68,93,139,255,54,72
    db 120,255,61,84,132,255,76,106,159,255,75,107,154,255,75,109
    db 158,255,84,115,162,255,88,123,174,255,48,63,97,255,22,24
    db 53,255,41,48,70,255,45,50,73,255,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,55
    db 65,40,40,40,53,255,36,40,49,255,38,40,47,255,32,31
    db 42,255,34,36,44,255,34,37,46,255,49,47,57,255,33,31
    db 42,255,37,35,48,255,28,30,45,255,34,38,53,255,12,16
    db 23,255,16,16,20,255,15,18,20,255,17,16,21,255,16,16
    db 20,255,17,18,22,255,19,23,31,255,26,26,37,255,23,27
    db 36,255,22,25,37,255,33,40,60,255,39,45,72,255,53,75
    db 108,255,76,104,146,255,75,109,156,255,83,118,172,255,72,111
    db 165,255,70,109,160,255,69,105,153,255,82,113,159,255,75,109
    db 155,255,93,127,174,255,103,150,193,255,91,123,177,255,69,90
    db 126,255,53,62,92,255,55,57,70,255,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,53,58,70,100,33,37,53,255,26,33,40,255,32,33
    db 43,255,31,32,41,255,24,26,35,255,33,33,42,255,40,38
    db 48,255,45,46,57,255,30,34,46,255,34,36,52,255,33,35
    db 47,255,18,20,30,255,9,13,20,255,13,16,19,255,15,14
    db 19,255,15,15,20,255,17,19,25,255,19,18,28,255,24,26
    db 33,255,23,25,33,255,23,24,39,255,23,34,50,255,29,38
    db 60,255,29,41,67,255,53,64,89,255,54,69,97,255,68,87
    db 121,255,68,95,135,255,67,95,145,255,59,86,129,255,73,101
    db 147,255,87,116,164,255,87,130,174,255,84,123,184,255,60,88
    db 135,255,52,69,98,255,32,34,42,255,60,68,77,111,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,44,52,67,144,34,38,48,255,27,27
    db 37,255,25,28,35,255,24,27,36,255,31,31,37,255,29,27
    db 36,255,30,30,40,255,31,36,43,255,30,32,49,255,28,31
    db 46,255,33,33,49,255,21,27,33,255,9,9,16,255,11,14
    db 18,255,14,16,21,255,17,14,16,255,15,17,22,255,16,20
    db 28,255,14,15,20,255,21,19,25,255,16,19,28,255,26,27
    db 39,255,33,42,55,255,38,47,68,255,41,51,73,255,44,49
    db 66,255,49,61,83,255,57,73,110,255,59,82,124,255,66,91
    db 135,255,64,88,133,255,65,99,144,255,68,95,149,255,50,67
    db 105,255,42,49,72,255,38,41,44,255,39,39,43,255,52,56
    db 62,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,59,66,80,186,28,27
    db 41,255,28,30,38,255,24,24,33,255,32,32,40,255,24,26
    db 33,255,27,30,40,255,26,28,38,255,35,37,46,255,32,34
    db 44,255,27,29,39,255,24,26,39,255,27,30,38,255,16,15
    db 26,255,12,14,19,255,20,18,18,255,13,17,22,255,14,15
    db 23,255,11,14,17,255,14,17,23,255,17,17,28,255,18,18
    db 27,255,16,17,31,255,16,20,32,255,36,41,58,255,38,43
    db 63,255,36,40,64,255,35,46,76,255,46,63,96,255,48,65
    db 100,255,61,80,122,255,61,85,135,255,51,73,119,255,49,60
    db 99,255,42,48,61,255,30,31,38,255,40,43,49,255,40,41
    db 49,255,53,59,70,108,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,63
    db 78,255,31,34,47,255,35,35,45,255,32,29,36,255,21,20
    db 29,255,29,32,42,255,27,29,39,255,25,26,36,255,24,27
    db 39,255,30,32,43,255,26,30,41,255,29,31,42,255,27,30
    db 42,255,29,32,39,255,14,18,21,255,21,24,34,255,8,11
    db 14,255,5,8,12,255,11,13,16,255,11,17,20,255,20,20
    db 30,255,19,17,28,255,22,19,28,255,20,20,31,255,28,33
    db 43,255,35,39,58,255,31,38,58,255,45,53,80,255,48,59
    db 91,255,45,63,96,255,42,65,105,255,47,63,102,255,47,56
    db 83,255,35,35,48,255,39,37,48,255,40,38,48,255,27,31
    db 42,255,31,33,44,255,49,57,65,38,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,62
    db 76,152,46,55,65,255,43,44,54,255,36,36,44,255,26,27
    db 38,255,19,20,27,255,27,29,36,255,22,24,32,255,27,29
    db 40,255,35,37,49,255,39,37,50,255,34,37,48,255,29,31
    db 45,255,21,25,39,255,29,33,47,255,27,32,48,255,16,17
    db 23,255,11,13,17,255,12,14,19,255,13,15,19,255,16,18
    db 26,255,22,23,34,255,21,25,36,255,19,21,27,255,19,22
    db 32,255,29,35,46,255,36,41,55,255,36,44,61,255,38,48
    db 71,255,37,47,74,255,40,47,78,255,42,54,81,255,41,49
    db 61,255,29,30,40,255,48,44,58,255,40,35,44,255,30,30
    db 36,255,30,33,39,255,44,47,55,255,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,55
    db 73,45,38,45,56,255,44,50,60,255,40,44,55,255,28,30
    db 38,255,21,21,30,255,24,25,35,255,29,28,41,255,35,36
    db 46,255,36,38,50,255,40,42,53,255,34,36,52,255,33,39
    db 54,255,41,48,60,255,37,41,55,255,27,30,44,255,22,24
    db 35,255,24,25,35,255,14,18,24,255,13,15,19,255,15,18
    db 27,255,26,29,41,255,26,31,41,255,14,16,24,255,24,26
    db 32,255,22,20,32,255,33,30,45,255,29,33,45,255,37,40
    db 55,255,39,45,66,255,41,50,74,255,37,41,56,255,24,29
    db 39,255,35,37,48,255,43,45,55,255,31,31,39,255,33,35
    db 45,255,44,50,62,255,53,58,68,255,52,58,69,48,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,54,66,86,255,40,40,52,255,39,40,50,255,29,34
    db 46,255,26,28,38,255,26,28,35,255,23,25,34,255,26,26
    db 37,255,23,26,34,255,31,34,48,255,40,45,66,255,46,53
    db 72,255,46,53,66,255,53,55,72,255,40,40,55,255,38,38
    db 52,255,28,29,43,255,22,24,37,255,24,24,36,255,22,22
    db 33,255,29,31,43,255,24,27,42,255,24,24,35,255,20,22
    db 28,255,23,27,33,255,31,32,42,255,32,33,45,255,26,31
    db 45,255,25,29,40,255,27,30,38,255,26,28,36,255,20,22
    db 36,255,37,39,51,255,32,35,41,255,35,35,46,255,53,55
    db 68,255,51,54,68,255,58,66,75,255,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,52,62,78,74,51,63,81,255,24,30,45,255,26,29
    db 38,255,33,36,46,255,25,25,34,255,12,14,22,255,26,36
    db 43,255,39,42,58,255,38,39,54,255,38,41,52,255,37,40
    db 51,255,50,53,63,255,51,52,64,255,40,44,58,255,39,41
    db 50,255,25,32,42,255,39,44,56,255,34,35,49,255,27,32
    db 41,255,28,31,45,255,33,36,44,255,19,19,25,255,18,20
    db 26,255,23,25,31,255,25,27,34,255,26,30,34,255,24,24
    db 33,255,24,25,32,255,29,30,40,255,32,33,43,255,29,34
    db 39,255,33,32,41,255,25,27,38,255,42,43,52,255,48,50
    db 58,255,42,47,59,255,51,60,73,48,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,44,55,70,73,58,66,88,255,22,30
    db 43,255,21,26,37,255,29,33,44,255,42,45,61,255,27,27
    db 46,255,27,32,38,255,34,36,45,255,34,34,45,255,32,33
    db 44,255,44,47,56,255,46,47,59,255,36,39,53,255,33,35
    db 43,255,36,37,48,255,41,42,55,255,23,25,38,255,28,32
    db 41,255,36,40,52,255,19,23,34,255,19,22,31,255,24,27
    db 31,255,17,20,23,255,17,21,24,255,20,22,29,255,25,25
    db 35,255,18,21,27,255,28,29,38,255,28,28,39,255,24,24
    db 34,255,32,28,39,255,42,43,51,255,54,63,73,255,41,49
    db 63,255,49,55,68,45,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,54,62,75,73,50,60
    db 78,255,45,52,72,255,36,48,63,255,25,29,44,255,35,41
    db 48,255,36,36,52,255,28,30,40,255,27,30,38,255,30,33
    db 43,255,38,38,48,255,45,46,59,255,37,43,58,255,36,39
    db 47,255,42,42,55,255,41,39,53,255,39,42,54,255,44,50
    db 59,255,41,45,59,255,30,34,46,255,30,33,46,255,21,23
    db 29,255,20,22,29,255,18,20,24,255,18,20,25,255,23,25
    db 33,255,20,22,28,255,27,29,38,255,27,28,38,255,40,52
    db 64,255,44,48,62,255,41,50,57,255,48,54,70,255,45,53
    db 66,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,62
    db 77,74,47,54,69,255,37,41,55,255,32,35,49,255,30,38
    db 51,255,39,44,57,255,42,46,61,255,27,32,48,255,37,41
    db 60,255,40,43,56,255,46,52,66,255,39,45,60,255,40,38
    db 51,255,49,50,63,255,34,37,49,255,37,39,50,255,37,40
    db 51,255,29,34,46,255,36,39,53,255,34,36,47,255,28,29
    db 39,255,24,25,35,255,21,22,32,255,16,17,25,255,26,29
    db 36,255,28,29,38,255,37,37,49,255,36,42,51,255,46,50
    db 66,255,46,53,69,255,49,56,68,120,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,47,57,71,156,49,53,68,255,40,49
    db 60,255,42,52,64,255,43,47,61,255,43,48,61,255,41,46
    db 64,255,45,50,59,255,47,59,71,255,28,32,44,255,22,25
    db 33,255,20,22,32,255,29,31,41,255,33,32,45,255,34,37
    db 47,255,42,43,57,255,41,43,57,255,39,41,52,255,35,36
    db 45,255,43,43,56,255,37,38,50,255,19,20,29,255,17,19
    db 27,255,26,26,35,255,33,35,43,255,46,52,65,255,52,57
    db 67,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,61
    db 75,30,58,72,89,201,44,52,69,255,28,34,47,255,42,41
    db 51,255,41,43,54,255,43,51,62,255,28,28,37,255,27,26
    db 34,255,23,26,36,255,29,30,39,255,28,26,37,255,29,29
    db 40,255,37,39,48,255,50,50,59,255,47,48,59,255,39,39
    db 52,255,42,43,52,255,40,41,51,255,25,28,36,255,33,29
    db 41,255,26,22,32,255,26,24,33,255,34,35,45,255,45,53
    db 65,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,61,72,91,58,66,76,98,255,46,47
    db 63,255,39,42,58,255,57,65,86,255,32,33,44,255,32,35
    db 42,255,34,35,47,255,38,37,45,255,38,38,47,255,42,43
    db 53,255,41,41,55,255,31,34,45,255,46,46,57,255,38,40
    db 51,255,38,39,51,255,42,44,54,255,40,40,49,255,36,38
    db 49,255,22,22,32,255,15,16,23,255,19,19,27,255,29,31
    db 37,255,46,56,67,17,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,72
    db 88,104,64,76,97,216,63,74,93,255,47,51,67,255,48,51
    db 64,255,30,32,43,255,41,47,62,255,29,28,38,255,29,28
    db 40,255,28,31,40,255,31,32,43,255,34,35,48,255,36,40
    db 51,255,41,46,59,255,41,43,54,255,31,34,44,255,40,40
    db 51,255,39,41,52,255,25,26,36,255,17,20,27,255,22,23
    db 33,255,54,67,83,154,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,49,55,67,72,59,60
    db 72,254,48,49,71,255,35,40,49,255,27,25,35,255,20,21
    db 31,255,27,29,38,255,28,28,36,255,30,28,40,255,33,35
    db 45,255,46,48,58,255,45,48,58,255,44,43,54,255,35,36
    db 47,255,44,45,57,255,28,30,39,255,28,28,40,255,19,16
    db 27,255,60,68,81,255,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,60,60,73,72,44,43,62,255,35,37,45,255,33,34
    db 44,255,34,35,46,255,40,38,47,255,33,35,43,255,36,37
    db 49,255,37,38,46,255,48,47,57,255,46,47,58,255,43,45
    db 54,255,44,46,56,255,41,39,49,255,40,41,52,255,35,33
    db 43,255,41,41,47,247,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,47,49,61,108,32,37
    db 46,255,32,30,38,255,33,32,38,255,44,42,50,255,54,56
    db 69,255,45,46,55,255,46,47,56,255,50,49,60,255,46,44
    db 54,255,54,55,64,255,55,54,63,255,51,48,61,255,37,39
    db 48,255,33,35,43,114,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,57,68,79,120,57,57,77,185,35,40,49,221,45,44
    db 55,255,51,48,64,255,63,67,80,255,54,60,75,255,46,47
    db 59,255,68,65,78,255,67,61,74,255,54,55,68,237,53,53
    db 61,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,61,64,77,35,68,70
    db 81,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
    db 0,0,0,0,0,0

bmpdata endp

; 

end start
